Create staff user
curl --request POST \
--url https://demo.onlinebillingform.com/api/v2/setting/create-staff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"username": "jsmith@example.com",
"password": "<string>",
"permission": {
"dashboard": "Y",
"packages": "Y",
"customers": "Y",
"invoices": "Y",
"marketing": "Y",
"reports": "Y",
"support": "Y",
"settings": "Y"
}
}
'import requests
url = "https://demo.onlinebillingform.com/api/v2/setting/create-staff"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"username": "jsmith@example.com",
"password": "<string>",
"permission": {
"dashboard": "Y",
"packages": "Y",
"customers": "Y",
"invoices": "Y",
"marketing": "Y",
"reports": "Y",
"support": "Y",
"settings": "Y"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
username: 'jsmith@example.com',
password: '<string>',
permission: {
dashboard: 'Y',
packages: 'Y',
customers: 'Y',
invoices: 'Y',
marketing: 'Y',
reports: 'Y',
support: 'Y',
settings: 'Y'
}
})
};
fetch('https://demo.onlinebillingform.com/api/v2/setting/create-staff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}Setting
Create staff user
Use this BillingServ API endpoint to create staff user. Review the response for the operation result or validation errors.
POST
/
setting
/
create-staff
Create staff user
Authorizations
Use Authorization: Bearer <live_api_key>.
Body
application/jsonapplication/x-www-form-urlencoded
Response
OK
⌘I